package com.ruoyi.system.api.todo.request;


import javax.validation.constraints.NotNull;

/**
 * @Author: sqz
 * @Date: 2025/02/20/18:09
 * @Description:
 */
public class UpdateTodoRequest {
    /**
     * 业务id
     */
    @NotNull(message = "业务ID不能为空")
    private Long businessId;

    /**
     * 业务环节
     */
    @NotNull(message = "业务环节不能为空")
    private Integer businessProcess;

    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Long userId;

    /**
     * 执行状态：0：开始，1，执行中，2：结束
     */
    @NotNull(message = "[执行状态：0：开始，1，执行中，2：结束]不能为空")
    private Integer status;

    /**
     * 待办类型（0-待办，1-告警）
     */
    private Integer type;


    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getBusinessId() {
        return businessId;
    }

    public void setBusinessId(Long businessId) {
        this.businessId = businessId;
    }

    public Integer getBusinessProcess() {
        return businessProcess;
    }

    public void setBusinessProcess(Integer businessProcess) {
        this.businessProcess = businessProcess;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
